Subject: Re: [mpls] "A YANG Data Model for MPLS Base" - draft-ietf-mpls-base-yang-14

From: tom petch <[email-masked]>
Date: Tue, 22 Dec 2020 10:58:46 +0000

From: mpls <[email-masked]> on behalf of Acee Lindem (acee) <acee=[email-masked]>
Sent: 31 July 2020 14:39

Hi,

Loa asked that I document the chain of dependencies of documents already on the RFC Queue that are dependent on the subject draft. It is that draft-ietf-bfd-yang<https://datatracker.ietf.org/doc/draft-ietf-bfd-yang/> is dependent on this document. Drafts already on the RFC Queue that are dependent on draft-ietf-bfd-yang are draft-ietf-isis-yang-isis-cfg<https://datatracker.ietf.org/doc/draft-ietf-isis-yang-isis-cfg/>, draft-ietf-ospf-yang<https://datatracker.ietf.org/doc/draft-ietf-ospf-yang/>, and draft-ietf-pim-yang<https://datatracker.ietf.org/doc/draft-ietf-pim-yang/>. There are others that haven’t yet reached the RFC Queue including draft-ietf-idr-bgp-model<https://datatracker.ietf.org/doc/draft-ietf-idr-bgp-model/>. Hence, can we give this draft some prioritization?? I know I’ve requested this at prior IETF and hopefully I won’t have to do it again in November.

<tp>

Acee,
Loa has done that bit and mpls-base-yang is now RFC8960 but I am afraid that it does not help you much with LSR.
ospf-yang is dependent on bfd-yang
bfd-yang is dependent on teas-yang-te
teas-yang-te is dependent on teas-yang-rsvp.

I commented on the last in September but have not seen a response.
Martin commented in a YANG Doctor review recently that teas-yang-te is flawed and will not work.
I think that you will be waiting a-while yet:-(

Tom Petch

I also looked at the -14 and it doesn’t appear to have any dependencies on other models or documents that have not yet completed.

Thanks,
Acee